version: '3.5'
services:
    mongodb:
      image: mongo
      container_name: mongodb-reign
      ports:
      - 27017:27017
      volumes:
        - data:/data
      logging:
        driver: none
      networks:
          - default

    mongo-express:
      image: mongo-express
      container_name: mongo-express-reign
      restart: always
      ports:
        - 3001:8081
      environment:
        - ME_CONFIG_MONGODB_SERVER=mongodb
      logging:
        driver: local
      depends_on:
        - mongodb
    server:
        build:
            context: ./server
        ports:
            - '3000:3000'
        depends_on:
          - mongodb
        networks:
            - default
volumes:
  data: {}

networks:
  default:
    name: reign_api_network
